Skip to main content
POST
/
v3
/
alert-rules
/
{alert_id}
/
test-notification
Send a test notification for the given Alert Rule
curl --request POST \
  --url https://{host}/v3/alert-rules/{alert_id}/test-notification \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "results": [
      {
        "is_sent_success": true,
        "failure_reason": "<string>"
      }
    ],
    "message": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required

alert id path parameter

Response

Test notification results per channel

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object